<!DOCTYPE html>
<html>
<head><meta charset="UTF-8" />
  <title>Wyniki zgłoszenia strony</title>
</head>
<body>
  <h1>Wyniki zgłoszenia strony</h1>

<?php

  // Wyodrębnienie z pól
  $url = $_REQUEST['url'];
  $email = $_REQUEST['email'];

  // Sprawdzenie URL-a
  $url=parse_url($url);
  $komp=$url['host'];

  if(!($ip=gethostbyname($komp)))
  {
    echo 'Komputer macierzysty URL-a nie posiada prawidłowego adresu IP';
    exit;
  }

  echo "Komputer macierzysty znajduje się pod adresem IP $ip <br>";

  // Sprawdzenie adresu poczty elektronicznej
  $email=explode('@', $email);
  $kompemail=$email[1];

  if(!getmxrr($kompemail, $kompmx))
  {
    echo 'Adres pocztowy nie posiada prawidłowego komputera macierzystego';
    exit;
  }

  echo 'Poczta elektroniczna dostarczana jest przez: <br />
  <ul>';

  foreach($kompmx as $mx)
  {
    echo '<li>'.$mx.'</li>';
  }

  echo '</ul>';

  // Jeżeli skrypt dotarł do tego miejsca, to wszystko jest w porządku
  echo '<p>Wszystkie przekazane szczegóły są prawidłowe.</p>';
  echo '<p>Dziękujemy za zgłoszenie strony.<br>'
       .'Zostanie ona niedługo odwiedzona przez naszego pracownika.</p>';
  // W realnej sytuacji dodanie strony do bazy danych stron oczekujących
?>
</body>
</html>
